Subject: Re: [PATCH -tip 0/3] expedited "big hammer" RCU grace periods

From: "Paul E. McKenney" <[email-masked]>
Date: Thu, 25 Jun 2009 08:27:36 -0700

On Thu, Jun 25, 2009 at 11:59:53AM +0200, Ingo Molnar wrote:
> 
> * Paul E. McKenney <[email-masked]> wrote:
> 
> > On Wed, Jun 24, 2009 at 08:03:03PM +0200, Ingo Molnar wrote:
> > > 
> > > * Paul E. McKenney <[email-masked]> wrote:
> > > 
> > > >  include/linux/rcuclassic.h    |   15 ++-
> > > 
> > > heh, we dont have this file anymore ... as of today, right? :)
> > 
> > Ah, I was assuming that expedited RCU would happen before removal 
> > of Classic RCU.
> 
> Our general preference is to zap code.

Actually worked out nicely in this case -- the fact that Classic RCU
is no longer in -tip meant that I could dump 25% of my test cases for
expedited RCU.  ;-)

I will be posting the updated patch shortly.

> /me stares at:
> 
>   $ git diff --stat -M v2.6.30..v2.6.31-rc1 | tail -1
>   7743 files changed, 782278 insertions(+), 403162 deletions(-)
> 
> /me corrects himself:
> 
> Okay, so the zapping of code is the divine guiding principle we've 
> been following for 15 years. Ending up with a kernel that is 11 
> million lines of code is a small imperfection of mankind and is to 
> be fixed.

;-)  ;-)  ;-)

I guess that if 11 million lines of code is a small imperfection of
mankind, we can only be thankful that we are not tasked with dealing
with the large imperfections.  ;-)

							Thanx, Paul